Bug 98209 - RHEL2.1 AS QU2: /etc/init.d/network brings up interfaces in alphabetical order
RHEL2.1 AS QU2: /etc/init.d/network brings up interfaces in alphabetical order
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: initscripts (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: 106715 107565
  Show dependency treegraph
 
Reported: 2003-06-27 18:48 EDT by Eric Schwartz
Modified: 2014-03-16 22:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 11:33:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Schwartz 2003-06-27 18:48:12 EDT
Description of problem:
/etc/init.d/network brings up interfaces in alphabetical, not numerical order.
This can cause problems in the following situation (just as an example):

eth[0-2] : tg3 cards
eth[3-4] : eepro100 cards
eth[5-16]: tulip cards

the init.d script brings them up as:

eth0
eth1
eth10
eth11
...
eth16
eth2
eth3
eth4

When eth0 is initialized, it loads the tg3 module.  This claims eth0, eth1 and
eth2.  When eth10 is brought up, it loads tulip, which claims eth[3-14].  This
means you can't bring up eth15 and eth16.

I have the following patch that fixed this (it's small, so I'll include it
inline).  Note: it orders the 'interfaces' list by number, so it'll try to bring
up interfaces in this order:

eth0
irlan0
whatever0
eth1
eth2
....

But within each namespace, at least, the modules will be loaded in order.

--- network     Sat Dec 14 12:51:10 2002
+++ network.fixed       Fri Jun 27 16:38:52 2003
@@ -50,9 +50,10 @@
 interfaces=`ls ifcfg* | LANG=C egrep -v '(ifcfg-lo|:|rpmsave|rpmorig|rpmnew)' | \
            LANG=C egrep -v '(~|\.bak)$' | \
            LANG=C egrep -v 'ifcfg-cipcb[0-9]+$' | \
             LANG=C egrep 'ifcfg-[a-z0-9]+$' | \
-            sed 's/^ifcfg-//g'`
+            sed 's/^ifcfg-//g' |
+           sed 's/[0-9]/ &/' | sort -n +1 | sed 's/ //'`
 
 # See how we were called.
 case "$1" in
   start)


Version-Release number of selected component (if applicable):
6.47.2-1.1

How reproducible:
100%

Steps to Reproduce:
1. Configure a system with > 10 interfaces as above.
2. start up networking.
3. watch things mysteriously fail
Comment 1 Larry Troan 2003-07-30 14:10:15 EDT
ISSUE TRACKER  26390 opened as sev 1.
Comment 2 Bill Nottingham 2003-09-03 23:10:52 EDT
Fixed in CVS, will be in 7.31-1, among other places.
Comment 3 Larry Troan 2003-09-17 11:50:47 EDT
Bill, in build Derry-re0521.QU2-RC.0AS, the versions of initscripts is 
initscripts-6.47.2-1.1.

Is "7.31-1" (I assume initscripts) planned for RHEL2.1 Update3 or does your
comment above reflect Taroon? In the latest Taroon build
(Taroon-re0916.nightly), the version is initscripts-7.31.4.EL-1.

This is a 2.1 bug.
Comment 4 Bill Nottingham 2003-09-17 12:17:52 EDT
7.31-1 is in in Cambridge, similar code is in Taroon. Code is on the RHEL2.1
branch but is not currently built.
Comment 5 Suzanne Hillman 2003-10-06 14:54:27 EDT
Identified by HP-IPF as a MUSTFIX. Adding to U3 blocker bug list.
Comment 6 Larry Troan 2003-10-20 17:33:10 EDT
NOT ON SUE'S QU3 MUSTFIX LIST. MOVING TO U4.
Comment 8 Bill Nottingham 2003-11-11 15:19:17 EST
Fixed in 6.47.3-1 or later.
Comment 9 Glen A. Foster 2003-12-16 11:33:33 EST
A patch very similar to what we suggested is indeed in RHEL2.1 AS
update 3.  Assuming the modified patch was tested, I think it's safe
to close this defect.
Comment 10 John Flanagan 2003-12-19 14:13:49 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-341.html

Note You need to log in before you can comment on or make changes to this bug.